<p id="notice"><%= notice %></p>

<h1>Listing Tickets</h1>

<%= form_tag(tickets_path, method: 'get') do %>
  <table>
    <thead>
      <tr>
        <th>Title/Description</th>
        <th>Owner</th>
        <th>User</th>
        <th>Sort</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>
          <%= text_field_tag :text, params[:text] %>
        </td>
        <td>
          <%= select_tag(:owner_id, options_for_user_select(params[:owner_id]), { include_blank: 'Any'}) %>
        </td>
        <td>
          <%= select_tag(:user_id, options_for_user_select(params[:user_id]), { include_blank: 'Any'}) %>
        </td>
        <td>
          <%= select_tag(:order, options_for_select(Ticket::ORDER_OPTIONS, params[:order])) %>
        </td>
        <td>
          <%= submit_tag "Search" %>
        </td>
      </tr>
    </tbody>
  </table>
<% end %>

</br>

<table>
  <thead>
    <tr>
      <th>Title</th>
      <th>Description</th>
      <th>Owner</th>
      <th>User</th>
      <th>Created</th>
      <th>Updated</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody id="tickets">
    <% @tickets.each do |ticket| %>
      <tr id="ticket-<%= ticket.id %>">
        <td><%= ticket.title %></td>
        <td><%= ticket.description %></td>
        <td><%= ticket.owner.email %></td>
        <td><%= ticket.user.email %></td>
        <td><%= ticket.created_at %></td>
        <td><%= ticket.updated_at %></td>
        <td><%= link_to 'Show', ticket %></td>
        <td><%= link_to 'Edit', edit_ticket_path(ticket) %></td>
        <td><%= link_to 'Destroy', ticket, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Ticket', new_ticket_path %>

<script>window.socketServer="<%= socket_server %>";</script>
<%= javascript_include_tag 'socketio' %>
<%= javascript_include_tag 'tickets' %>
